package net.sachau.murpg.data;

import javax.swing.*;


import net.sachau.murpg.data.action.*;
import net.sachau.murpg.data.attribute.*;
import net.sachau.murpg.data.bonus.*;
import net.sachau.murpg.data.character.*;
import net.sachau.murpg.data.cost.CostTable;
import net.sachau.murpg.data.equipment.EquipmentList;
import net.sachau.murpg.gui.*;
import net.sachau.murpg.gui.character.*;
import net.sachau.murpg.data.modifier.ModifierList;
import net.sachau.murpg.data.option.OptionList;
import net.sachau.murpg.data.physical.PhysicalDataList;
import net.sachau.murpg.xml.*;

import java.awt.FlowLayout;
public class GeneralData {
	public static String version="0.1";
	public static int optionCounter = 0;
	public static int bonusCounter = 0;
	public static int modifierCounter = 0;
	public static int specCounter = 0;
	public static int actionCounter = 0;
	public static int equipmentCounter = 0;
	
	public static boolean showAN = true;
	public final static AttributeParser attributeparser =
		new AttributeParser("./data/attribute.xml");
	public final static AttributeList attribute = attributeparser.attributelist;

	public final static ActionParser actionparser =
		new ActionParser("./data/actions.xml");
	public final static ActionList actions = actionparser.actionlist;

	public final static BonusParser bonusparser =
		new BonusParser("./data/bonus.xml");
	public final static BonusList bonuses = bonusparser.bonuses;

	public final static PhysicalDataParser physicalparser =
		new PhysicalDataParser("./data/physical.xml");
	public final static PhysicalDataList physicaldata =
		physicalparser.physicaldata;

	public final static OptionParser optionparser =
		new OptionParser("./data/options.xml");
	public final static OptionList actionoptions = optionparser.options;

	public final static ModifierParser modparser =
		new ModifierParser("./data/modifier.xml",false);
	public final static ModifierList modifiers = modparser.modlist;

	public final static ModifierParser chaparser =
		new ModifierParser("./data/challenges.xml",true);
	public final static ModifierList challenges = chaparser.modlist;

	public final static EquipmentParser equparser =
		new EquipmentParser("./data/equipment.xml");
	public final static EquipmentList equipment = equparser.equlist;

	public static CharacterList character = new CharacterList();

	public final static StatusLine statusline = new StatusLine();
	public final static JPanel charpane =
		new JPanel(new FlowLayout(FlowLayout.LEFT));

	public final static CostTable costtable = new CostTable();

	public final static JFrame mainframe = new JFrame("MURPG");
	
	public final static CharacterTab charactertab = new CharacterTab();
	
	public final static SpecList spec=new SpecList();
	
	public static CharacterPreviewFrame characterpreview;
	
	public static int charindex=0;
	
}
