package net.sachau.murpg.data.action;
import java.io.*;

import net.sachau.murpg.data.cost.Cost;

public class ActionBase implements Cloneable,Serializable{
	public int AN;
	public int AN_PA;
	public int flat;
	public int pa_flat;
	public double multi;
	public double pa_multi;
	public int noAN;
	public int pa_noAN;
	public Cost cost;
	public Cost pa_cost;
	public String name;
	public String pa_name;
	public String description;
	public String shortName;
	public String note;
	
	public int pa_useAN;
	public int key;
	public boolean isAttribute;
	public boolean hasPA;
	public boolean onlyPA;
	public boolean usePA;
	
	public boolean isPA;

	public ActionBase() {
		AN=0;
		AN_PA=0;
		flat=0;
		pa_flat=0;
		multi=1;
		pa_multi=1;
		noAN=0;
		pa_noAN=0;
		cost=new Cost();
		pa_cost=new Cost();
		name="";
		pa_name="";
		description="";
		shortName="";
		note="";

	}
	
	public void dump() {
		System.out.println("actionbase.name="+this.name +" key="+this.key);
		System.out.println("actionbase.AN="+this.AN);
		System.out.println("actionbase.cost_w="+this.cost.w);
		System.out.println("actionbase.cost_r="+this.cost.r);
		System.out.println("actionbase.multi="+this.multi);
	}

	public Object clone() {
		try {
			ActionBase cloned=(ActionBase)super.clone();
			return cloned;
		}
		catch (CloneNotSupportedException e) {
			System.out.println(e);
			return null;
		}
	}

	
	
}
