package net.sachau.murpg.data.cost;
import java.io.*;
public class Cost implements Serializable, Cloneable{

	public int w;
	public int r;

	public Cost() {
		w = 0;
		r = 0;
	}

	public Cost(int aW, int aR) {
		int m = 0;
		w = aW;
		m = aR / 3;
		w += m;
		aR -= (m * 3);
		r = aR;
	}

	public void set(int aW, int aR) {
		int m = 0;
		this.w = aW;
		m = aR / 3;
		this.w += m;
		aR -= (m * 3);
		this.r = aR;
	}
	public Object clone() {
		try {
			Cost cloned=(Cost)super.clone();
			return cloned;
		}
		catch (CloneNotSupportedException e) {
			System.out.println(e);
			return null;
		}
	}

}
