package net.sachau.murpg.data.modifier;
import java.io.*;


import net.sachau.murpg.data.action.*;
import net.sachau.murpg.data.character.Character;
import net.sachau.murpg.data.option.OptionList;
import net.sachau.murpg.data.*;

public class Modifier extends ActionBase implements Serializable {
	public boolean isChallenge;
	public OptionList option;
	public double mnMulti;
	public double pa_mnMulti;
	public int multiplyByMn;
	public int pa_multiplyByMn;
	public String ref;
	public String pa_ref;

	public Modifier() {
		super();
		isChallenge = false;
		option = new OptionList();
		mnMulti = 1;
		pa_mnMulti = 1;
		multiplyByMn = 1;
		pa_multiplyByMn = 1;
		ref = "";
		pa_ref = "";

	}

	public String toString() {
		Character c =
			(Character) GeneralData.character.get(GeneralData.charindex);
		String stringPA = "";
		if (this.hasPA && c.isPA) {
			stringPA = "PA ";
		}
		if (this.flat == 1) {
			return stringPA + this.name;
		}

		if (!this.isChallenge) {
			return stringPA+this.name + ": " + this.AN;
		}
		return stringPA+this.name + ": " + this.cost.w;

	}

	public String toString1() {
		Character c =
			(Character) GeneralData.character.get(GeneralData.charindex);
		String stringPA = "";
		if (this.hasPA && c.isPA) {
			stringPA = "PA ";
		}
		if (this.shortName.length() > 0) {
			return stringPA+this.name + " (" + this.shortName + ")";
		}
		return stringPA+this.name;

	}

	public Object clone() {

		Modifier cloned = (Modifier) super.clone();
		return cloned;

	}

}