package net.sachau.murpg.gui;
import javax.swing.*;

import net.sachau.murpg.data.character.Character;


import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;



public class BackgroundEditPanel extends JPanel implements ActionListener {

	Character character;

	boolean isModifier;
	boolean isChallenge;
	JTextArea resultArea;
	public BackgroundEditPanel(Character c) {
		
		super();
		
		setBorder(BorderFactory.createTitledBorder("Background"));
		resultArea = new JTextArea(10, 40);
		resultArea.setText(c.background);
		character=c;
		JScrollPane scrollingArea = new JScrollPane(resultArea);

		GridBagLayout layout = new GridBagLayout();
		setLayout(layout);
		GridBagConstraints con = new GridBagConstraints();

		JButton applyButton = new JButton("Apply");
		applyButton.addActionListener(this);

		
		con.weightx = 0;
		con.weighty = 0;
		con.gridwidth = 1;
		con.gridheight = 1;
		con.anchor = GridBagConstraints.WEST;
	

		con.gridx=0;
		con.gridy=0;
		con.weighty = 0;
		con.gridwidth = 5;
		con.gridheight = 4;
		//con.anchor = GridBagConstraints.NONE;
		add(scrollingArea,con);

		con.gridx=4;
		con.gridy=5;
		con.weighty = 0;
		con.gridwidth = 0;
		con.gridheight = 0;
		con.anchor = GridBagConstraints.EAST;
		add(applyButton,con);

	}

	public void actionPerformed(ActionEvent e) {
			this.character.background=this.resultArea.getText();
	}

}
