package net.sachau.murpg.gui;

import javax.swing.*;

import net.sachau.murpg.data.GeneralData;


import java.awt.*;
import java.awt.event.ActionListener;
import java.awt.event.WindowListener;
import java.awt.event.WindowEvent;
import java.awt.event.ActionEvent;

public class VersionFrame extends JFrame implements ActionListener, WindowListener{

	
	JPanel content;
	public VersionFrame() {
		super("MURPG");
		content=new JPanel();

		
		addWindowListener(this);
			
		
		
		setLocation(GeneralData.mainframe.getX()+GeneralData.mainframe.getWidth()/2,
		GeneralData.mainframe.getY()+GeneralData.mainframe.getHeight()/2
		);

		
		content.setBorder(BorderFactory.createTitledBorder("Version"));

		//GeneralData.showAN=true;
		
		GridBagLayout layout = new GridBagLayout();
		content.setLayout(layout);
		GridBagConstraints con = new GridBagConstraints();
		
		JLabel label=new JLabel("MURPG Tool");
		JLabel label1=new JLabel("    Version "+GeneralData.version+"    ");
		JButton button=new JButton("Done");
		button.addActionListener(this);
		
		con.gridx=0;
		con.gridy=0;
		con.weightx=100;
		con.weighty=100;
		con.gridheight=1;
		con.gridwidth=3;
		
		content.add(label,con);
		con.gridx=0;
		con.gridy=1;
		con.weightx=100;
		con.weighty=100;
		con.gridheight=1;
		con.gridwidth=3;
		
		content.add(label1,con);

		con.weightx=100;
		con.weighty=100;
		con.gridheight=1;
		con.gridwidth=3;
		con.gridx=0;
		con.gridy=3;

		content.add(button,con);
		setContentPane(content);
		pack();
		setVisible(true);
		
		GeneralData.mainframe.setEnabled(false);

	
	}

	public void actionPerformed(ActionEvent e) {
		GeneralData.mainframe.setEnabled(true);
		this.hide();
	}
	
	public void windowActivated(WindowEvent w) {
	}

	public void windowClosed(WindowEvent w) {
		GeneralData.mainframe.setEnabled(true);
	}
	
	public void windowClosing(WindowEvent w) {
		GeneralData.mainframe.setEnabled(true);
	}

	public void windowDeactivated(WindowEvent w) {
	}

	public void windowDeiconified(WindowEvent w) {
	}

	public void windowIconified(WindowEvent w) {
	}

	public void windowOpened(WindowEvent w) {
	
	}


}
