package net.sachau.murpg.xml;

import net.sachau.murpg.data.GeneralData;
import net.sachau.murpg.data.equipment.Equipment;
import net.sachau.murpg.data.equipment.EquipmentList;

import org.apache.xerces.parsers.SAXParser;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;
//import org.xml.sax.SAXParseException;
import org.xml.sax.SAXException;


import java.io.IOException;

//	A Simple SAX Application
//	Extends org.xml.sax.helpers.DefaultHandler
public class EquipmentParser extends DefaultHandler {
	public EquipmentList equlist;
	public Equipment equ;
	
	
	
	
	
	// Constructor
	public EquipmentParser (String xmlFile) {
		equlist=new EquipmentList();
		equ=new Equipment();
		
		
		
		//  Create a Xerces DOM Parser
		SAXParser parser = new SAXParser();
        
		//  Set Content Handler
		parser.setContentHandler (this);

		//  Parse the Document      
		try {
			parser.parse(xmlFile);
		} catch (SAXException e) {
			System.err.println (e);
		} catch (IOException e) {
			System.err.println (e);
		}
	}
    
	//  Start Element Event Handler
	public void startElement (String uri, String local,
		String qName, Attributes atts)  {
					
		if (qName.equals("equipment")) {
			

			if (atts!=null) {
				for (int i=0;i<atts.getLength();i++) {
					if (atts.getQName(i).equals("name")) {
						equ.name=atts.getValue(i);
					}
					if (atts.getQName(i).equals("cost")) {
						equ.cost.w=(int)Integer.parseInt(atts.getValue(i));
						
					}

					if (atts.getQName(i).equals("cost_r")) {
						equ.cost.r=(int)Integer.parseInt(atts.getValue(i));
						
					}

					if (atts.getQName(i).equals("cost_d")) {
						equ.costDollar=(double)Double.parseDouble(atts.getValue(i));
						
					}
				}
			}			
			

			
		}
		
	}
	public void endElement(String namespaceURI, String localName, String qName) {     

		if (qName.equals("equipment")) {
			
			equ.key=GeneralData.equipmentCounter++;
			equlist.add((Equipment)equ);
			equ=new Equipment();
			
						
		}
		
	}	
	
}