package net.sachau.murpg.xml;

import net.sachau.murpg.data.physical.PhysicalData;
import net.sachau.murpg.data.physical.PhysicalDataList;

import org.apache.xerces.parsers.SAXParser;
import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;
//import org.xml.sax.SAXParseException;
import org.xml.sax.SAXException;


import java.io.IOException;

//	A Simple SAX Application
//	Extends org.xml.sax.helpers.DefaultHandler
public class PhysicalDataParser extends DefaultHandler {
    public PhysicalDataList physicaldata;
    
	
	// Constructor
	public PhysicalDataParser (String xmlFile) {
		physicaldata=new PhysicalDataList();
		//  Create a Xerces DOM Parser
		SAXParser parser = new SAXParser();
        
		//  Set Content Handler
		parser.setContentHandler (this);

		//  Parse the Document      
		try {
			parser.parse(xmlFile);
		} catch (SAXException e) {
			System.err.println (e);
		} catch (IOException e) {
			System.err.println (e);
		}
	}
    
	//  Start Element Event Handler
	public void startElement (String uri, String local,
		String qName, Attributes atts)  {
		if (qName.equals("physical")) {
			String n="";
			String v="";
			String t="text";
			if (atts!=null) {
				for (int i=0;i<atts.getLength();i++) {
					if (atts.getQName(i).equals("name")) {
						n=atts.getValue(i);
					}
					if (atts.getQName(i).equals("type")) {
						t=atts.getValue(i);
					}

				}			
				physicaldata.add(new PhysicalData(n,v,t));
			}
		}
		
	}
	public void endElement(String namespaceURI, String localName, String qName) {     

		
	}	
	
}