package net.sachau.murpg;

/**
 * @author msachau
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
import javax.swing.*;

import net.sachau.murpg.data.*;
import net.sachau.murpg.gui.*;
import net.sachau.murpg.gui.character.*;

public class Main {

	/**
	 * Create the GUI and show it.  For thread safety,
	 * this method should be invoked from the
	 * event-dispatching thread.
	 */
	private static void createAndShowGUI() {
/*		if (useSystemLookAndFeel) {
			try {
				UIManager.setLookAndFeel(
					UIManager.getSystemLookAndFeelClassName());
			} catch (Exception e) {
				System.err.println("Couldn't use system look and feel.");
			}
		}
*/
		//Make sure we have nice window decorations.
		JFrame.setDefaultLookAndFeelDecorated(false);

		//Create and set up the window.
		
		Menu menubar = new Menu();
		GeneralData.mainframe.setJMenuBar(menubar);

		GeneralData.mainframe.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		//Create and set up the content pane.
		
		GeneralData.charactertab.setOpaque(true); //content panes must be opaque
		GeneralData.mainframe.setContentPane(GeneralData.charactertab);
		
		GeneralData.charactertab.addCharacter(0);
		
		GeneralData.charactertab.renameTabs();

		
		GeneralData.mainframe.setSize(800,630);
		GeneralData.mainframe.setVisible(true);
		GeneralData.characterpreview=new CharacterPreviewFrame();
		
	}

	public static void main(String[] args) {
		javax.swing.SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				createAndShowGUI();
			}
		});

	}
		
}
