package net.sachau.murpg.data.physical;
import java.io.*;
public class PhysicalData implements Cloneable,Serializable{
	public String name;
	public String value;
	public String type;
	
	public PhysicalData(String n, String v, String t) {
		name=n;
		value=v;
		type=t;
	}

	public String toString() {
		String x=this.value;
		if (x.length()>30) {
			x=x.substring(1,30)+"...";
		}
		return this.name+": "+x;
	}
	public Object clone() {
		try {
			PhysicalData cloned=(PhysicalData)super.clone();
			return cloned;
		}
		catch (CloneNotSupportedException e) {
			System.out.println(e);
			return null;
		}
	}
	

}
