package net.sachau.murpg.gui.action;
import javax.swing.JButton;
import javax.swing.JPanel;


import net.sachau.murpg.data.action.Action;
import net.sachau.murpg.data.character.Character;
import net.sachau.murpg.data.GeneralData;
import net.sachau.murpg.gui.character.*;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
public class RemoveActionButton extends JButton implements ActionListener{

	Action action;
	CharacterTree tree;
	JPanel panel;
	public RemoveActionButton(Action a,CharacterTree t, JPanel p) {
		super("Remove this Action");
		action=a;
		tree=t;
		panel=p;
		addActionListener(this);
	}

	public void actionPerformed (ActionEvent e) {
		Character c=(Character)GeneralData.character.get(GeneralData.charindex);
		c.actions.removeAction(this.action.key);
		this.tree.removeCurrentNode();
		this.panel.removeAll();
		this.panel.updateUI();
	}
}
