package net.sachau.murpg.gui.character;

import javax.swing.*;

import net.sachau.murpg.data.GeneralData;
import net.sachau.murpg.data.character.Character;

import java.awt.event.ActionListener;
import java.awt.event.WindowListener;
import java.awt.event.WindowEvent;
import java.awt.event.ActionEvent;
import java.awt.*;

public class CharacterTypeFrame
	extends JFrame
	implements ActionListener, WindowListener {


	CharacterClassPanel cClass;
	JPanel content;
	private static String APPLY_COMMAND = "apply";
	private static String CANCEL_COMMAND = "cancel";
	public CharacterTypeFrame(Character c) {

		super("Character Type");
		content = new JPanel();
		addWindowListener(this);

		content.setBorder(BorderFactory.createTitledBorder("Select a character type"));

		GridBagLayout layout = new GridBagLayout();
		content.setLayout(layout);
		GridBagConstraints con = new GridBagConstraints();
		

		cClass=new CharacterClassPanel(c);

		JButton apply = new JButton("Apply");
		apply.setActionCommand(APPLY_COMMAND);
		apply.addActionListener(this);

		JButton cancel = new JButton("Cancel");
		cancel.setActionCommand(CANCEL_COMMAND);
		cancel.addActionListener(this);

		//setBounds(GeneralData.mainframe.getX()+GeneralData.mainframe.getWidth()/2
		//,GeneralData.mainframe.getY()+GeneralData.mainframe.getHeight()/2,300,300);

		con.weightx = 0;
		con.weighty = 0;
		con.gridwidth = 1;
		con.gridheight = 1;
		con.anchor = GridBagConstraints.WEST;

		con.gridx = 0;
		con.gridy = 0;
		content.add(cClass, con);

		con.gridx = 0;
		con.gridy = 1;
		content.add(apply, con);

/*		con.gridx = 2;
		con.gridy = 3;
		content.add(cancel, con);

*/
		setContentPane(content);

		this.setLocation(
			GeneralData.mainframe.getX() + GeneralData.mainframe.getWidth() / 2,
			GeneralData.mainframe.getY()
				+ GeneralData.mainframe.getHeight() / 2);
		pack();
		setVisible(true);

		GeneralData.mainframe.setEnabled(false);

	}

	public void actionPerformed(ActionEvent e) {

		String command = e.getActionCommand();

		if (APPLY_COMMAND.equals(command)) {
			GeneralData.mainframe.setEnabled(true);
			
			
			this.dispose();
		}
		if (CANCEL_COMMAND.equals(command)) {
			this.dispose();
		}
	}

	public void windowActivated(WindowEvent w) {
	}

	public void windowClosed(WindowEvent w) {
		GeneralData.mainframe.setEnabled(true);
	}

	public void windowClosing(WindowEvent w) {
		GeneralData.mainframe.setEnabled(true);
	}

	public void windowDeactivated(WindowEvent w) {
	}

	public void windowDeiconified(WindowEvent w) {
	}

	public void windowIconified(WindowEvent w) {
	}

	public void windowOpened(WindowEvent w) {

	}

	

}
