package net.sachau.murpg.gui.modifier;
import javax.swing.JButton;
import javax.swing.JPanel;


import net.sachau.murpg.data.GeneralData;
import net.sachau.murpg.data.character.Character;
import net.sachau.murpg.data.modifier.Modifier;
import net.sachau.murpg.gui.character.*;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
public class RemoveModifierButton extends JButton implements ActionListener{

	Modifier mod;
	CharacterTree tree;
	JPanel panel;
	boolean isChallenge;
	public RemoveModifierButton(Modifier a,CharacterTree t, JPanel p) {
		super("Remove this Modifier");
		mod=a;
		tree=t;
		panel=p;
		isChallenge=mod.isChallenge;
		addActionListener(this);
	}

	public void actionPerformed (ActionEvent e) {
		Character c=(Character)GeneralData.character.get(GeneralData.charindex);
		if (this.isChallenge) {
			c.challenges.removeModifier(this.mod.key);
		} else {
			c.modifiers.removeModifier(this.mod.key);
		}
		
		this.tree.removeCurrentNode();
		this.panel.removeAll();
		this.panel.updateUI();
	}
}
